package com.ruoyi.system.mapper.projectV2;

import com.ruoyi.system.domain.projectV2.ZsyzFj;

import java.util.List;


/**
 * 招商引资_附件Mapper接口
 * 
 * @author 博曼
 * @date 2023-02-22
 */
public interface ZsyzFjMapper 
{
    /**
     * 查询招商引资_附件
     * 
     * @param id 招商引资_附件ID
     * @return 招商引资_附件
     */
    public ZsyzFj selectZsyzFjById(Long id);

    /**
     * 查询招商引资_附件列表
     * 
     * @param zsyzFj 招商引资_附件
     * @return 招商引资_附件集合
     */
    public List<ZsyzFj> selectZsyzFjList(ZsyzFj zsyzFj);

    /**
     * 新增招商引资_附件
     * 
     * @param zsyzFj 招商引资_附件
     * @return 结果
     */
    public int insertZsyzFj(ZsyzFj zsyzFj);

    /**
     * 修改招商引资_附件
     * 
     * @param zsyzFj 招商引资_附件
     * @return 结果
     */
    public int updateZsyzFj(ZsyzFj zsyzFj);

    /**
     * 删除招商引资_附件
     * 
     * @param id 招商引资_附件ID
     * @return 结果
     */
    public int deleteZsyzFjById(Long id);

    /**
     * 批量删除招商引资_附件
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteZsyzFjByIds(Long[] ids);

    void deleteZsyzFjBySourceId(ZsyzFj zsyzFj);
}
